AWS
probe ASG

# is_scaling_in_progress

Check if there is any scaling activity in progress for ASG matching tags

Run it now
View details

Type | probe
Module | chaosaws.asg.probes
Name | is_scaling_in_progress
Return | boolean

Usage

JSON

    {
      "name": "is-scaling-in-progress",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosaws.asg.probes",
        "func": "is_scaling_in_progress",
        "arguments": {
          "tags": []
        }
      }
    }

YAML

    name: is-scaling-in-progress
    provider:
      arguments:
        tags: []
      func: is_scaling_in_progress
      module: chaosaws.asg.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
tags | list | null | No | ASG Tags | List of AWS tags for to identify ASG by tags instead of by names

Signature

    def is_scaling_in_progress(tags: List[Dict[str, str]],
                               configuration: Dict[str, Dict[str, str]] = None,
                               secrets: Dict[str, Dict[str, str]] = None) -> bool:
        pass

## Related starters

- AWS
  probe ASG

  ## `wait_desired_equals_healthy`

  Wait until the desired number matches the number of healthy instances for each auto-scaling group
- AWS
  action ASG

  ## `stop_random_instances`

  Terminates one or more random healthy instances associated with an ALB
- AWS
  action ASG

  ## `change_subnets`

  Adds/removes subnets on autoscaling groups